<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class FeedBackFragen extends Datamodul
{
  public $anzeigetext;
  public $bezeichnung;
  public $typ;
  public $anzeigetexte;
  public $anzeigeanzahl;
  public $durchschnittberechnen;
  public $warumanzeigen;
  public $warumtext;
  public $warumzeilen;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'typ':
      case 'anzeigeanzahl':
      case 'warumzeilen':
        return \DatamodulVarType::TYPE_INT;
      case 'durchschnittberechnen':
      case 'warumanzeigen':
        return \DatamodulVarType::TYPE_BOOL_WF;
    }
  }
}